Bug 441674 - system-install-packages does not work
system-install-packages does not work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9PKBlocker F9ODBlocker
  Show dependency treegraph
 
Reported: 2008-04-09 09:30 EDT by Tim Waugh
Modified: 2008-04-12 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-12 12:53:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2008-04-09 09:30:09 EDT
Description of problem:
The system-install-packages program does not work.

Version-Release number of selected component (if applicable):
gnome-packagekit-0.1.11-1.fc9

How reproducible:
100%

Steps to Reproduce:
1.yum remove -y hpijs || :
2.system-install-packages hpijs
  
Actual results:
Error dialog saying:

  Failed to install
  No such file ''

Expected results:
Package should be installed.

Additional info:
Worked fine in Fedora 8.
Comment 1 Owen Taylor 2008-04-10 11:25:06 EDT
Right now system-install-packages is a symlink to gpk-install-file,
but s-i-p can install files or packages
What we need is a wrapper in our packaging that:

 - Checks if the arguments exist, if so does install-file
 - Otherwise does install-package
 - Dialogs if a mixture is specified

I'll work on that today. (We should actually change things to use 
gpk-install-package directly, I think, in the long term.)
Comment 2 Owen Taylor 2008-04-10 14:15:55 EDT
I've committed a wrapper script and the .spec file changes to package CVS.
This can be closed when a package gets built and pushed.
Comment 3 Richard Hughes 2008-04-11 11:28:25 EDT
Owen, you sure you committed it? - i can't see any such change in CVS/devel.
Comment 4 Owen Taylor 2008-04-11 12:26:44 EDT
step 1: commit
step 2: write the above comment
step 3: notice that the commit failed with a conflict
step 4: merge, kick off a local build to make sure that the merge was OK
step 5: go off and do something else, forget about it

Now actually commited.
Comment 5 Richard Hughes 2008-04-12 12:53:45 EDT
I've built this for rawhide and F9.

Note You need to log in before you can comment on or make changes to this bug.